Bug 1696420 - The "VMs with Volume Free Space <= 20%" report showing VMs which has volume free space more than 20% also.
Summary: The "VMs with Volume Free Space <= 20%" report showing VMs which has volume f...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.10.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.4
Assignee: Keenan Brock
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1686281
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-04 19:57 UTC by Satoe Imaishi
Modified: 2019-11-29 04:03 UTC (History)
7 users (show)

Fixed In Version: 5.10.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1686281
Environment:
Last Closed: 2019-05-22 14:51:51 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2019-04-05 14:12:47 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/331132f8c8821c8d1042047aa36f6c63ea9241b6
commit 331132f8c8821c8d1042047aa36f6c63ea9241b6
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Wed Apr  3 15:32:44 2019 -0400
Commit:     Jason Frey <fryguy9@gmail.com>
CommitDate: Wed Apr  3 15:32:44 2019 -0400

    Merge pull request #18623 from kbrock/disk_usage_report

    fix: swap makes vms out of disk space report false positive
    (cherry picked from commit 629474ca44471d34b19f0ec4682eaece5f79394e)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1696420

 product/reports/100_Configuration Management - Virtual Machines/028_VMs with Volume Free Space -= 20%.yaml | 6 +-
 1 file changed, 3 insertions(+), 3 deletions(-)

Comment 4 Parthvi Vala 2019-04-18 13:41:44 UTC
Tested on 5.10.3.2. NOT FIXED.

Comment 5 Keenan Brock 2019-04-22 13:22:57 UTC
Thank you Parthvi,

The root volume on sbulage has 18.8% free.
pvala has unknown volume usage.

Is the expectation that sbulage is shown and pvala is hidden?

Comment 6 Keenan Brock 2019-04-22 15:33:29 UTC
Hello Parthvi,

Following up:

pvala_test_rest_vm has a root partition with 0% free - this causes it to show on the report.

All the VMs on the report have a partition that has less than 20% free.
Please share which elements you are not expecting.


The volumes are sorted by cluster and free space, and not by name.
So a vm's partitions are not necessarily grouped together.
This may be confusing as to why a vm would be on the list.

Also, this is a vm report, so all volumes are displayed for each vm.
Is the desire to convert this into a report based upon volume? (I can research if this can be done)
Then all volumes over the threshold would be displayed. But only volumes.


This is working as designed, but obviously not as you would like.
I will track down the business owner to see how we wish this to behave.

Thank you,
Keenan


Note You need to log in before you can comment on or make changes to this bug.